cpu-sif-heartbeats: 
  crondor:
    submit-description:
      universe: "local"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-cpu-sites.yaml make-dags --submit-dags"
      getenv: "PATH"
      cron_hour: "*/3"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
    - job: "cpu-burn"
      submit-description:
        universe: "vanilla"
        executable: "/home/james.clark/src/stress-ng/stress-ng-0.17.03/stress-ng-contained"
        should_transfer_files: "YES"
        transfer_executable: "True"
        MY.SingularityImage:  "./alpine-2025-01-30_15-52-49.sif"
        transfer_input_files: "osdf:///igwn/cit/staging/james.clark/cpu-check/alpine-2025-01-30_15-52-49.sif"
        requirements: "HAS_SINGULARITY"
        use_oauth_services: "scitokens"
        arguments: "--vm 1 --vm-bytes 2G --timeout 1800s --verbose"
        request_cpus: "1"
        request_memory: "2 GB"
        request_disk: "100 MB"
        stream_output: "True"
        stream_error: "True"
        accounting_group_user: "james.clark"
        accounting_group: "cit.scheduled.test"
        MY.PoolExorciser: "True"
        MY.PoolExorciserTest: "True"
        MY.TestFunction: "CPU-access-sif"
        MY.TestType: "Heartbeats"
        MY.DESIRED_Sites: "$(DESIRED_Sites)"
        max_retries: "0"
        periodic_remove: "(time() - QDate) > (1 * 3600)"
    dag:
      plugin: "heartbeats"
      mode: "cpu"
      sites: "all" # Try to run njobs at EACH site
      njobs-per-site: 5

cpu-sif-capacity: 
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-cpu-sites.yaml make-dags --submit-dags"
      cron_hour: "0"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "cpu-burn"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/src/stress-ng/stress-ng-0.17.03/stress-ng-contained"
          should_transfer_files: "YES"
          requirements: "HAS_SINGULARITY"
          MY.SingularityImage:  "./alpine-2025-01-30_15-52-49.sif"
          transfer_input_files: "osdf:///igwn/cit/staging/james.clark/cpu-check/alpine-2025-01-30_15-52-49.sif"
          use_oauth_services: "scitokens"
          transfer_executable: "True"
          arguments: "--vm 1 --vm-bytes 2G --timeout 1800s --verbose"
          request_cpus: "1"
          request_memory: "2 GB"
          request_disk: "100 MB"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.test"
          MY.PoolExorciser: "True"
          MY.PoolExorciserTest: "True"
          MY.TestFunction: "CPU-access-sif"
          MY.TestType: "Capacity"
          MY.DESIRED_Sites: "$(DESIRED_Sites)"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
    dag:
      plugin: "heartbeats"
      mode: "cpu"
      sites: "any" # Run at ANY site
      njobs: 500
